Summary: 	Klogic is a digital circuit simulation
Name:   	klogic
Version: 	1.62
Release: 	%mkrel 1
Epoch:		1
Source0: 	%{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png

#Patch1:		klogic-1.6-fix-gcc-3.4-compile.patch.bz2
License:  	GPL
Group: 		Sciences/Other
BuildRequires:	kdelibs-devel libjpeg-devel XFree86-devel
BuildRoot: 	%_tmppath/%name-%version-%release-root
URL:		http://www.a-rostin.de/klogic/

%description
Klogic is a digital circuit simulation.

%prep
%setup  -q
#%patch1 -p1

%build
# Laurent MONTEL 2001-04-14 --enable-final doesn't work

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

CFLAGS="%optflags" CXXFLAGS="%optflags" \
         ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --disable-rpath \
		    --disable-debug 

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=%buildroot/%_prefix


install -m644 %{SOURCE11} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %buildroot/%{_liconsdir}/%{name}.png

install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/%{name}" \
title="Klogic" \
icon="%{name}.png" \
longtitle="A digital circuit simulation" \
needs="kde" \
section="Applications/Sciences/Other"
EOF

%clean
rm -fr %buildroot

%post
%{update_menus}
 
%postun
%{clean_menus} 

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/%{name}
%_bindir/*

%dir %_datadir/apps/klogic/
%dir %_datadir/apps/klogic/toolbar
%dir %_datadir/apps/klogic/pics
%_datadir/apps/klogic/*.rc
%_datadir/apps/klogic/toolbar/*.xpm
%_datadir/apps/klogic/pics/*.xpm
%dir %_datadir/doc/HTML/en/klogic/
%doc %_datadir/doc/HTML/en/klogic/*.docbook
%doc %_datadir/doc/HTML/en/klogic/common
#%doc %_datadir/doc/HTML/en/klogic/*.bz2

%dir %_datadir/icons/klogic/
 %_datadir/icons/klogic/*.xpm
	  
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%_menudir/%{name}

%changelog
* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.62-1mdk
- 1.62
       - crash when deleting subcircuits which are 
         displayed in separate windows
       - crash when deleting subcircuits imported 
         from libraries
       - compiler adaptions

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.61-1mdk
- 1.61

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6-2mdk
- Rebuild

* Thu Apr 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6-1mdk
- 1.6
- drop P1 (merged upstream)
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- don't bzip2 icons in src.rpm
- epoch tag to fix versioning

* Sun Nov 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.403-1mdk
- 1.403

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.401-4mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.401-3mdk
- Rebuild against gcc-3.2

* Fri Jun 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.401-2mdk 
- add png icons / out xpm!
- Add Url

* Tue Jun 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.401-1mdk
- ported to kde3
- Fix compile with gcc-3.1

* Mon Feb 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.35-1mdk
- Update code (1.35)

* Sun Jan 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-2mdk
- fix group

* Sun Jan 13 2002 aurent MONTEL <lmontel@mandrakesoft.com> 1.34-1mdk
- update code (1.34)

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.22-6mdk
- BuildRequires revisited

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-5mdk
- Rebuild Against libpng3

* Thu Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-4mdk
- Rebuild with new kdelibs and fix menu entry

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-3mdk
- Rebuild with new kdelibs

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-2mdk
- rebuild

* Sat Apr 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-1mdk
- Initial package

